#
# spec file for package xaw3d (Version 1.5E)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xaw3d
BuildRequires:  xorg-x11 xorg-x11-devel
License:        X11/MIT
Group:          System/Libraries
Provides:       Xaw3d 
Autoreqprov:    on
Version:        1.5E
Release:        240.2
Summary:        3D Athena Widgets
Url:            http://www.visi.com/~hawkeyd/xaw3d.html
Source:         Xaw3d-1.5E.tar.bz2
Patch:          Xaw3d-1.5E.dif
Patch1:         Xaw3d-1.5E-secure.patch
Patch2:         Xaw3d-1.5E-thumb.patch
Patch3:         Xaw3d-1.5E-hsbar.patch
Patch4:         Xaw3d-1.5E-compat.patch
Patch5:         Xaw3d-1.5E-3Dlabel.patch
Patch6:         Xaw3d-1.5E-gvI18N.patch
Patch7:         Xaw3d-1.5E-fontset.patch
Patch8:         Xaw3d-1.5E-null.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library that can be used instead of the standard
Athena-Widget-Library. It has tried to keep the standard of the libXaw
library. There are also programs which explicitly use this library
(this is the reason why the library was included).

NOTE: Do NOT replace /usr/X11R6/lib/libXaw.so.6.1!



Authors:
--------
    Kaleb S. Keithley <kaleb@x.org>
    Achille Hui <eillihca@drizzle.stanford.edu>
    Robert Withrow <witr@rwwa.com>
    Malcolm Strickland <chuck-strickland@orl.mmc.com>
    David Flanagan <david@ora.com>
    Jamie Zawinski <jwz@netscape.com>
    Frank Terhaar-Yonkers <fty@bizarre.trpnc.epa.gov>
    Mike Schulze <mike@cs.curtin.edu.au>
    Gustaf Neumann <neumann@mohegan.wi-inf.uni-essen.de>
    Jerry Whelan <guru@stasi.bradley.edu>
    Mark Rawling <mwr@mel.dit.csiro.au>
    Tim Theisen <tim@cs.wisc.edu>
    Mitch Trachtenberg <mitch@mta.com>
    Keith Packard <keithp@ncd.com>
    Dimitri P. Bouras <dimitri@ee.ubc.ca>
    Uri Blumenthal <uri@watson.ibm.com>
    Heiko Schroeder <heiko@pool.informatik.rwth-aachen.de>

Summary:        3D Athena Widgets
%debug_package
%package     -n xaw3dd
Conflicts:      axe
Requires:       xaw3d
Summary:        3D Athena Widgets as a Replacement for Athena Widgets
Group:          System/Libraries
Autoreqprov:    on

%description -n xaw3dd
NOTE: Do NOT replace /usr/X11R6/lib/libXaw.so.6.1. All necessary
changes in /etc/ld.so.conf will be done in SuSEconfig by YaST.

If any problems arise using or starting X Window System programs,
remove this package and delete any remaining symbolic links in
/usr/X11R6/lib/Xaw3d/.



Authors:
--------
    Kaleb S. Keithley <kaleb@x.org>
    Achille Hui <eillihca@drizzle.stanford.edu>
    Robert Withrow <witr@rwwa.com>
    Malcolm Strickland <chuck-strickland@orl.mmc.com>
    David Flanagan <david@ora.com>
    Jamie Zawinski <jwz@netscape.com>
    Frank Terhaar-Yonkers <fty@bizarre.trpnc.epa.gov>
    Mike Schulze <mike@cs.curtin.edu.au>
    Gustaf Neumann <neumann@mohegan.wi-inf.uni-essen.de>
    Jerry Whelan <guru@stasi.bradley.edu>
    Mark Rawling <mwr@mel.dit.csiro.au>
    Tim Theisen <tim@cs.wisc.edu>
    Mitch Trachtenberg <mitch@mta.com>
    Keith Packard <keithp@ncd.com>
    Dimitri P. Bouras <dimitri@ee.ubc.ca>
    Uri Blumenthal <uri@watson.ibm.com>
    Heiko Schroeder <heiko@pool.informatik.rwth-aachen.de>

%prep
%setup -n xc
cd lib/Xaw3d
%patch1 -p0 -b .secure
%patch2 -p0 -b .thumb
%patch3 -p0 -b .hsbar
%patch4 -p0 -b .compat
%patch5 -p0 -b .3Dlab
%patch6 -p0 -b .gvI18N
%patch7 -p0 -b .fontset
%patch8 -p3 -b .null
%patch0
rm -rf laylex.c laygram.h laygram.c
rm -rf exports/
mkdir -p exports/include/X11/Xaw3d
mkdir -p X11
ln -sf ../exports/include/X11/Xaw3d X11/Xaw3d
xmkmf -a

%build
cd lib/Xaw3d
make CC='gcc -g' CCOPTIONS="$RPM_OPT_FLAGS"
make SOXAWREV=6.1

%install
cd lib/Xaw3d
make DESTDIR=$RPM_BUILD_ROOT install SOXAWREV=6.1
rm -rf   $RPM_BUILD_ROOT/usr/X11R6/include/X11/Xaw3d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/Xaw3d
rm -rf   $RPM_BUILD_ROOT/usr/X11R6/include/Xaw3d
ln -sf X11/Xaw3d $RPM_BUILD_ROOT/usr/X11R6/include/Xaw3d
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
mkdir -p $RPM_BUILD_ROOT%{_docdir}/xaw3d
install -c -m 0444 README.XAW3D  $RPM_BUILD_ROOT%{_docdir}/xaw3d
rm -f $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/Xaw3d/libXaw.so
install -c -m 0444 NOTE $RPM_BUILD_ROOT%{_docdir}/xaw3d/README.SuSE
ln -sf %{_docdir}/xaw3d/README.SuSE $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/Xaw3d/NOTE
# removing unwanted file
rm -f $RPM_BUILD_ROOT/usr/X11R6/include/X11/Xaw3d/Template.c

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n xaw3dd -p /sbin/ldconfig

%postun -n xaw3dd -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%dir /usr/X11R6/include/X11/Xaw3d
%dir %{_docdir}/xaw3d
/usr/X11R6/include/Xaw3d
/usr/X11R6/include/X11/Xaw3d/*.h
/usr/X11R6/%{_lib}/libXaw3d.a
/usr/X11R6/%{_lib}/libXaw3d.so
/usr/X11R6/%{_lib}/libXaw3d.so.6
/usr/X11R6/%{_lib}/libXaw3d.so.6.1
/usr/X11R6/%{_lib}/libXaw3d.so.8
/usr/X11R6/%{_lib}/libXaw3d.so.8.0
%{_docdir}/xaw3d/README.XAW3D

%files -n xaw3dd
%defattr(-,root,root)
%dir /usr/X11R6/%{_lib}/Xaw3d
/usr/X11R6/%{_lib}/Xaw3d/libXaw.so.6
/usr/X11R6/%{_lib}/Xaw3d/libXaw.so.6.1
/usr/X11R6/%{_lib}/Xaw3d/libXaw.so.8
/usr/X11R6/%{_lib}/Xaw3d/libXaw.so.8.0
%doc /usr/X11R6/%{_lib}/Xaw3d/NOTE
%{_docdir}/xaw3d/README.SuSE

%changelog -n xaw3d
* Mon Feb 27 2006 - schwab@suse.de
- Run ldconfig also in xaw3dd package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 29 2005 - werner@suse.de
- Avoid array overflow (bug #135587)
- Fix long standing bug: redraw shadows arounbd thumb if needed.
* Fri Jun 10 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Wed Feb 02 2005 - meissner@suse.de
- use NULL at the end of XSetIC* XGetIC* calls to remove
  warnings in gcc 4. (same way that Xaw in Xlib uses already).
* Tue Sep 21 2004 - werner@suse.de
- Abort on missing fontset during initialization (bug #44037)
* Tue Sep 07 2004 - werner@suse.de
- Add some check to abort if the Xt lib does not find fonts or
  fontsets (bug #44037)
* Sat Sep 04 2004 - ro@suse.de
- official major version changed from 7 to 8
* Thu Aug 26 2004 - werner@suse.de
- Be sure that scrollbars occurs and remain if needed
- More compatibility to Xaw
- Do not forget fontset check
* Fri Apr 30 2004 - werner@suse.de
- Add patch to avoid crash within resource handling (mainly for gv)
* Mon Apr 26 2004 - werner@suse.de
- Avoid compiler warnings.
* Wed Feb 04 2004 - werner@suse.de
- I like labels with 3D shadow
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Jul 01 2003 - werner@suse.de
- Avaiod nasty `Actions not found: StartScroll' message
* Wed May 28 2003 - coolo@suse.de
- use BuildRoot
* Mon May 19 2003 - werner@suse.de
- Don't crash on wrong cast's: add compat patch
* Mon May 05 2003 - werner@suse.de
- Update to Xaw3d-1.5E
  * Add our thumb patch
  * Add our secure patch
  * Add our hsbar patch
* Fri Apr 05 2002 - pmladek@suse.cz
- used macro %%{_lib} to fix for lib64
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Thu Jun 29 2000 - werner@suse.de
- Add security fixes done for libXaw
- lib version 6.1 is required by older programs
* Fri May 12 2000 - schwab@suse.de
- Update library version number.
- Use %%{_defaultdocdir}.
- Fix Scrollbar.c for all archs.
* Fri Mar 31 2000 - nadvornik@suse.cz
- removed /usr/X11R6/include/X11 from filelist
* Fri Oct 29 1999 - kukuk@suse.de
- fix Scrollbar.c for alpha
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 27 1999 - werner@suse.de
- Fix some `inner else'
* Tue Apr 27 1999 - ro@suse.de
- update to 1.5
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Mon May 25 1998 - werner@suse.de
- Add addable security fixes of XFree86[tm] patch 3.3.2-patch2
- Second *unused* patch to be able to reverse the background
  feature of scrollbars
* Tue May 05 1998 - werner@suse.de
- Update to new release 1.4
  * add some small fixes
- Added some changes from Dimitrios P. Bouras
  (background color for scrollbar, ...)
* Tue Oct 21 1997 - werner@suse.de
- some changes for the new XFree86[tm] release
  23.08.96: (1.3)
- Update von 1.2a Original + 1.1 Patch fr scrollbar
- 1.3 braucht kein scrollbar-3d patch mehr
  allerdings knnen bei 1.3 die Pfeile nicht gedrckt
  werden und die Resource scrollbarBackground arbeitet
  nicht.
